'\" t
.\"     Title: ALTER OPERATOR CLASS
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2020
.\"    Manual: PostgreSQL 13.1 Documentation
.\"    Source: PostgreSQL 13.1
.\"  Language: English
.\"
.TH "ALTER OPERATOR CLASS" "7" "2020" "PostgreSQL 13.1" "PostgreSQL 13.1 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
ALTER_OPERATOR_CLASS \- change the definition of an operator class
.SH "SYNOPSIS"
.sp
.nf
ALTER OPERATOR CLASS \fIname\fR USING \fIindex_method\fR
    RENAME TO \fInew_name\fR

ALTER OPERATOR CLASS \fIname\fR USING \fIindex_method\fR
    OWNER TO { \fInew_owner\fR | CURRENT_USER | SESSION_USER }

ALTER OPERATOR CLASS \fIname\fR USING \fIindex_method\fR
    SET SCHEMA \fInew_schema\fR
.fi
.SH "DESCRIPTION"
.PP
\fBALTER OPERATOR CLASS\fR
changes the definition of an operator class\&.
.PP
You must own the operator class to use
\fBALTER OPERATOR CLASS\fR\&. To alter the owner, you must also be a direct or indirect member of the new owning role, and that role must have
CREATE
privilege on the operator class\*(Aqs schema\&. (These restrictions enforce that altering the owner doesn\*(Aqt do anything you couldn\*(Aqt do by dropping and recreating the operator class\&. However, a superuser can alter ownership of any operator class anyway\&.)
.SH "PARAMETERS"
.PP
\fIname\fR
.RS 4
The name (optionally schema\-qualified) of an existing operator class\&.
.RE
.PP
\fIindex_method\fR
.RS 4
The name of the index method this operator class is for\&.
.RE
.PP
\fInew_name\fR
.RS 4
The new name of the operator class\&.
.RE
.PP
\fInew_owner\fR
.RS 4
The new owner of the operator class\&.
.RE
.PP
\fInew_schema\fR
.RS 4
The new schema for the operator class\&.
.RE
.SH "COMPATIBILITY"
.PP
There is no
\fBALTER OPERATOR CLASS\fR
statement in the SQL standard\&.
.SH "SEE ALSO"
CREATE OPERATOR CLASS (\fBCREATE_OPERATOR_CLASS\fR(7)), DROP OPERATOR CLASS (\fBDROP_OPERATOR_CLASS\fR(7)), ALTER OPERATOR FAMILY (\fBALTER_OPERATOR_FAMILY\fR(7))
